# HG changeset patch
# Parent a67ee604e83665035be77b17ba35ba816d96b510
Include uname and configure arguments in stdout.

diff -r a67ee604e836 -r 234367ea4446 configure
--- a/configure	Wed Sep 11 12:25:24 2013 +0900
+++ b/configure	Wed Sep 11 13:26:44 2013 +0900
@@ -21503,15 +21503,6 @@
 
 
 
-(
-if test -f /etc/osversion; then   echo "osversion: `cat /etc/osversion`"
-else
-  echo "uname -a: `uname -a`"
-fi
-echo ""
-echo "$progname $ac_configure_args"
-) > Installation
-
 if test ! -z ${emacs_beta_version} ; then
   if test -z "${emacs_is_beta}" ; then
 	xemacs_betaname=".${emacs_beta_version}"
@@ -21522,7 +21513,17 @@
   xemacs_betaname=""
 fi
 
+echo ""
+: > Installation
+
 (
+if test -f /etc/osversion; then   echo "osversion: `cat /etc/osversion`"
+else
+  echo "uname -a: `uname -a`"
+fi
+echo ""
+echo "$progname $ac_configure_args"
+
 echo "
 
 XEmacs ${emacs_major_version}.${emacs_minor_version}${xemacs_betaname} \"$xemacs_codename\" $xemacs_extra_name configured for \`$ac_cv_build'."
diff -r a67ee604e836 -r 234367ea4446 configure.ac
--- a/configure.ac	Wed Sep 11 12:25:24 2013 +0900
+++ b/configure.ac	Wed Sep 11 13:26:44 2013 +0900
@@ -5660,17 +5660,6 @@
 dnl #### We should tag this as the _build_ environment.
 dnl Before doing that, though, must check if tools care about line 1.
 
-(
-dnl /etc/osversion is on SONY NEWS-OS
-if test -f /etc/osversion; then dnl SONY NEWS-OS
-  echo "osversion: `cat /etc/osversion`"
-else
-  echo "uname -a: `uname -a`"
-fi
-echo ""
-echo "$progname $ac_configure_args"
-) > Installation
-
 if test ! -z ${emacs_beta_version} ; then
   if test -z "${emacs_is_beta}" ; then
 	xemacs_betaname=".${emacs_beta_version}"
@@ -5681,8 +5670,20 @@
   xemacs_betaname=""
 fi
 
+echo ""
+: > Installation
+
 dnl Start stdout redirection to '| tee -a Installation'
 (
+dnl /etc/osversion is on SONY NEWS-OS
+if test -f /etc/osversion; then dnl SONY NEWS-OS
+  echo "osversion: `cat /etc/osversion`"
+else
+  echo "uname -a: `uname -a`"
+fi
+echo ""
+echo "$progname $ac_configure_args"
+
 echo "
 
 XEmacs ${emacs_major_version}.${emacs_minor_version}${xemacs_betaname} \"$xemacs_codename\" $xemacs_extra_name configured for \`$ac_cv_build'."
